org.apache.cassandra.tools.nodetool.stats

## Class TpStatsHolder

- java.lang.Object
- - org.apache.cassandra.tools.nodetool.stats.TpStatsHolder

- All Implemented Interfaces:
    StatsHolder

      public class TpStatsHolder
      extends java.lang.Object
      implements StatsHolder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `NodeProbe` | `probe`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TpStatsHolder(NodeProbe probe)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Object>` | `convert2Map()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### probe

          public final NodeProbe probe

  - ### Constructor Detail

    - #### TpStatsHolder

          public TpStatsHolder(NodeProbe probe)

  - ### Method Detail

    - #### convert2Map

          public java.util.Map<java.lang.String,java.lang.Object> convert2Map()

      Specified by:
        `convert2Map` in interface `StatsHolder`

Copyright © 2018 The Apache Software Foundation